SLASH_EMI1 = "/emi"
SlashCmdList["EMI"] = function(msg, editBox)
	local typ, id, ico = msg:match("([^ ]+) ([^ ]+) ([^ ]+)")
		
	if msg ~= "" then
		if typ == "account" or typ == "acc" then
			EditMacro(id, nil, ico, nil)
			if MacroFrame then MacroFrame:Hide() MacroFrame:Show() end
			print("Changed icon of account macro " .. id .. " to " .. ico)
		end
		
		if typ == "character" or typ == "char" then
			EditMacro(MAX_ACCOUNT_MACROS + id, nil, ico, nil)
			if MacroFrame then MacroFrame:Hide() MacroFrame:Show() end
			print("Changed icon of character macro " .. id .. " to " .. ico)
		end
		
		if typ == "equipset" or typ == "equip" then
			local setname, _, _, _, _, _, _, _, _ = GetEquipmentSetInfo(id)
			ModifyEquipmentSet(setname, setname, ico)
			print("Changed icon of equipment set '" .. setname .. "' to " .. ico)
		end
		
		if typ == "guildbanktab" or typ == "gbt" then
			local tabname, _, _, _, _, _ = GetGuildBankTabInfo(id)
			SetGuildBankTabInfo(id, tabname, ico)
			print("Changed icon of guild bank tab '" .. tabname .. "' to " .. ico)
		end
	else
		print("")
		print("Usage:")
		print("/emi <account/acc> <#> <icon name/id>")
		print("/emi <character/char> <#> <icon name/id>")
		print("/emi <equipset/equip> <#> <icon id>")
		print("/emi <guildbanktab/gbt> <#> <icon name/id>")
		print("Icon names and ids can be found at wowhead.com/icons")
	end
end
